Bug 46506 - Libreoffice does not install some basic help control elements with --without-help
Summary: Libreoffice does not install some basic help control elements with --without-...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other Linux (All)
: medium normal
Assignee: Jan Holesovsky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-23 04:09 UTC by Tomáš Chvátal
Modified: 2016-01-18 06:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
xmlhelp-git.diff (50.64 KB, text/plain)
2012-02-24 04:43 UTC, Tomáš Chvátal
Details
xmlhelp-tarball.diff (194.81 KB, text/plain)
2012-02-24 04:44 UTC, Tomáš Chvátal
Details
scp2 module tarball diff (443.49 KB, text/plain)
2012-02-24 04:59 UTC, Tomáš Chvátal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Chvátal 2012-02-23 04:09:13 UTC
This happens when I build the package with these two:

--without-help
--with-helppack-integration

the goal is not to provide the help files but only the infrastructure for them as  I unpack the helpfiles from rpms so I don't have to bother with compiling them for each language.

Downstream bugreport:
https://bugs.gentoo.org/show_bug.cgi?id=404551

I asked there if the user can reproduce the issue on 3.4 but I am quite certain that when I tested this on 3.4 it used to work.
Comment 1 Tomáš Chvátal 2012-02-24 04:22:28 UTC
The code is stored in the xmlhelp/util/ folder.

http://cgit.freedesktop.org/libreoffice/core/tree/xmlhelp

So I suppose it is not really delivered.
Comment 2 Tomáš Chvátal 2012-02-24 04:43:32 UTC
Created attachment 57586 [details]
xmlhelp-git.diff

I created diff from 3.4 to 3.5 git and i don't see any issue there :(
Comment 3 Tomáš Chvátal 2012-02-24 04:44:10 UTC
Created attachment 57587 [details]
xmlhelp-tarball.diff

The full tarball diff, nothing suspicious there either.
Comment 4 Tomáš Chvátal 2012-02-24 04:59:47 UTC
Created attachment 57588 [details]
scp2 module tarball diff

scp2 diff for the tarballs.
Comment 5 Viktor Ostashevskyi 2012-03-14 01:39:22 UTC
Same problem with 3.5.1.2
Comment 6 Tomáš Chvátal 2012-03-17 10:58:36 UTC
It seems like it lacks wide range of files so they should be installed.

As discussed on mailinglist this is what is done in suse:


# hack to add icons for helpcontent that is build separately 
(
    . ./*Env.Set.sh
    mkdir -p $SOLARVER/$INPATH/res/img
    perl helpcontent2/helpers/create_ilst.pl
-dir=default_images/res/helpimg >$SOLARVER/$INPATH/res/img/helpimg.ilst
)

2. during installation of the main package:

################ 
# common helpcontent files 
# create symlinks to /usr/share for noarch help packages 
mkdir -p $RPM_BUILD_ROOT/%lo_prefix/%lo_home/%lo_basis_dir/help
mkdir -p $RPM_BUILD_ROOT/%_datadir/%lo_home/%lo_basis_dir/help
echo "%dir %lo_prefix/%lo_home/%lo_basis_dir/help"
>>file-lists/common_list.txt
echo "%dir %_datadir/%lo_home/%lo_basis_dir/help"
>>file-lists/common_list.txt
for file in idxcaption.xsl idxcontent.xsl main_transform.xsl ; do
    install -m 644 solver/*/unxlng*.pro/bin/$file $RPM_BUILD_ROOT/%
lo_prefix/%lo_home/%lo_basis_dir/help
    ln -sf %lo_prefix/%lo_home/%lo_basis_dir/help/$file
$RPM_BUILD_ROOT/%_datadir/%lo_home/%lo_basis_dir/help
    echo "%lo_prefix/%lo_home/%lo_basis_dir/help/$file"
>>file-lists/common_list.txt
    echo "%_datadir/%lo_home/%lo_basis_dir/help/$file"
>>file-lists/common_list.txt
done


These files should be installed regardless help status as the help files can be provided diferently than build every time. If not hardcoded it should have some configure switch like --with-help-common
Comment 7 Michael Meeks 2012-05-08 13:19:26 UTC
I like the idea of getting the SUSE tweak up-stream of course ! but we need to test & review this carefully - Petr - any thoughts ?
Comment 8 Michael Stahl 2012-06-29 14:22:29 UTC
Comment on attachment 57586 [details]
xmlhelp-git.diff

these don't look like patches that could be integrated, so i'll remove the patch flag.
Comment 9 QA Administrators 2015-01-05 17:52:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.3.5 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
Comment 10 Tomáš Chvátal 2015-01-05 18:34:45 UTC
This is still present currently.

The current code used in Gentoo:

    # hack for offlinehelp, this needs fixing upstream at some point
    # it is broken because we send --without-help
    # https://bugs.freedesktop.org/show_bug.cgi?id=46506
    (
        grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
        source "${T}/config_host.mk" 2&> /dev/null

        local path="${WORKDIR}/helpcontent2/source/auxiliary/"
        mkdir -p "${path}" || die

        echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
        perl "${S}/helpcontent2/helpers/create_ilst.pl" \
            -dir=icon-themes/galaxy/res/helpimg \
            > "${path}/helpimg.ilst"
        [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
    )
Comment 11 QA Administrators 2016-01-17 20:04:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17
Comment 12 Tomáš Chvátal 2016-01-18 06:44:57 UTC
Still an issue